<template>
  <div class="content">
    <div class="left-content">
      <div>Назва: {{ company.name }}</div>
      <div>Адреса: {{ company.address }}</div>
      <div>Номер телефону: {{ company.phone }}</div>
      <div>Спеціалізація: {{ company.specialization }}</div>
      <div>Час роботи: {{ company.workTime }}</div>
    </div>
    <div class="right-content">
      <button @click="$router.push(`/${company.id}`)">
        Повна інформація
      </button>
      <button type="button" @click="deleteItem(company.id)">Видалити</button>
    </div>
  </div>
  <hr />
</template>

<script>
import { mapActions } from "vuex";
export default {
  props: {
    company: {
      type: Object,
    },
  },
  methods: {
    ...mapActions(["deleteItem"]),
  },
};
</script>

<style>
.content {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: left; /* якщо вам потрібно текст розмістити ліворуч */
  margin-top: 50px; /* при необхідності задайте потрібний верхній відступ */
}

.right-content {
  margin-left: 30px;
}
</style>
